name: rbs

services:
  robot-app:
    build: .
    image: robot-app:RBS
    container_name: robot-app-limited
    ports:
      - "8080:8080"
    volumes:
      - ./data:/app/data
    restart: unless-stopped
    # Giới hạn gần spec SICK controller: Dual-Core, 4 GB RAM
    cpus: 2
    mem_limit: 4g
    memswap_limit: 4g
